:root {
	--color-white: #ffffff;
	--color-black: #141414;
	--color-petrol: #053c5a;
	--color-magenta: #b90b6c;
	--color-grey: #e8e8e8;

	--font-family-inter-bold: "inter-bold", Arial, Helvetica, sans-serif;
	--font-family-inter-semibold: "inter-semibold", Arial, Helvetica, sans-serif;
	--font-family-inter-regular: "inter-regular", Arial, Helvetica, sans-serif;

	--page-margin: 70px;
}

@font-face {
	font-family: "inter-bold";
	src: url("assets/inter/Inter-Bold.woff2") format("woff2"),
		url("assets/inter/Inter-Bold.ttf") format("truetype");
	font-weight: bold;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "inter-semibold";
	src: url("assets/inter/Inter-SemiBold.woff2") format("woff2"),
		url("assets/inter/Inter-SemiBold.ttf") format("truetype");
	font-weight: 600;
	font-style: normal;
	font-display: swap;
}

@font-face {
	font-family: "inter-regular";
	src: url("assets/inter/Inter-Regular.woff2") format("woff2"),
		url("assets/inter/Inter-Regular.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
	font-display: swap;
}

*,
:after,
:before {
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

html body h1 {
	font-family: var(--font-family-inter-bold);
	font-size: 60px;
	line-height: 72px;
	margin-bottom: 20px;
	margin-top: 0;
}

html body h2 {
	font-family: var(--font-family-inter-bold);
	font-size: 52px;
	line-height: 62px;
	color: inherit !important;
	margin-bottom: 20px;
	margin-top: 0;
}

html body h3 {
	font-family: var(--font-family-inter-bold);
	font-size: 42px;
	line-height: 52px;
	color: inherit;
	margin-bottom: 16px;
	margin-top: 0;
}

html body h4 {
	font-family: var(--font-family-inter-bold);
	font-size: 26px !important;
	line-height: 32px;
	margin-bottom: 7px;
	margin-top: 0;
}

html body h5 {
	font-family: var(--font-family-inter-bold);
	margin-bottom: 16px;
	margin-top: 0;
}

html body section .headline-sub {
	font-family: var(--font-family-inter-regular);
	font-size: 32px;
	line-height: 42px;
}

html body main p,
html body div.body-text,
html body section.body-text,
html body section .body-text {
	font-family: var(--font-family-inter-regular);
	font-size: 20px;
	line-height: 28px;
}

html body .body-text-small {
	font-family: var(--font-family-inter-regular);
	font-size: 16px;
	line-height: 20px;
}

/* https://www.w3.org/Style/Examples/007/color-bullets.en.html */
html body main ul {
	list-style: none;
	padding-left: 18px;
	font-family: var(--font-family-inter-regular);
	font-size: 20px;
	line-height: 28px;
}

html body main ul li:not(.user-registration-MyAccount-navigation-link)::before {
	content: "•";
	color: var(--color-magenta);
	display: inline-block;
	width: 1em;
	margin-left: -1em;
	position: absolute;
}

html body section .link-button {
	border: 2px solid transparent;
	padding: 18px 28px;
	cursor: pointer;
	margin-top: 24px;
	font-family: var(--font-family-inter-bold);
	font-size: 18px;
	line-height: 22px;
	text-decoration: none;
	display: inline-block;
	background-color: var(--color-black);
	color: var(--color-white);
}

html body section .link-button:hover {
	background-color: var(--color-white);
	color: var(--color-black);
	border-color: var(--color-black);
}

html body section .link-arrow {
	color: var(--color-magenta);
	cursor: pointer;
	position: relative;
	font-family: var(--font-family-inter-bold);
	font-size: 18px;
	line-height: 20px;
	width: fit-content;
}

html body section .link-arrow::after {
	content: "";
	background-image: url(assets/images/arrow-right.svg);
	background-repeat: no-repeat;
	height: 9px;
	position: absolute;
	margin-left: 8px;
	margin-block: 6.5px;
	background-size: 16px 9px;
	aspect-ratio: 16 / 9;
	/* needed for Safari */
	top: 0;
	right: -23px;
}
html body section .link-arrow:hover::after {
	background-image: url(assets/images/arrow-right-hover.svg);
	background-size: 25px 9px;
	aspect-ratio: 25 / 9;
	right: -32px;
}

html body.dark .link-button,
html body section .link-button.white {
	background-color: var(--color-white);
	color: var(--color-black) !important;
}

html body.dark .link-button:hover,
html body section .link-button.white:hover {
	background-color: var(--color-black);
	color: var(--color-white) !important;
	border-color: var(--color-white);
}

body.dark {
	background-color: #1a1a1a;
}

.main {
	max-width: 1920px;
	margin-inline: auto;
}

.main > *:not([data-component]),
.main > [data-component] > * {
	margin-inline: var(--page-margin);
}

.main > div > .alignfull,
.main .wp-block-rw-kupplung-sticky {
	margin-inline: 0;
}

/* general space between elements */
[data-component],
.is-root-container > [data-block] {
	margin-bottom: 100px;
}

/* style for columns module*/
.wp-block-columns {
	gap: 50px;
}

@media only screen and (max-width: 1200px) {
	.wp-block-columns {
		gap: 15px;
	}
}
.wp-block-columns p {
	margin-block: 0;
}

a {
	color: var(--color-magenta);
	text-decoration: none !important;
}

.dark main {
	color: var(--color-white);
}

strong {
	font-family: var(--font-family-inter-bold);
}

.breadcrumbs ol {
	list-style: none;
	padding-left: 4px;
	margin-top: 47px;
}

.breadcrumbs ol li {
	display: inline-block;
	padding: 6px 14px;
	border: 1px solid var(--color-grey);
	background-color: var(--color-white);
	margin-top: 5px;
	margin-right: 20px;
}

.breadcrumbs a {
	color: inherit;
}

.dark .breadcrumbs ol li {
	border: 1px solid #4b4b4b;
	background-color: var(--color-black);
}

/* active state for custom underline block control button */
.components-dropdown-menu__menu
	.components-dropdown-menu__menu-item.is-active
	.dashicon {
	color: #fff;
	background: #1e1e1e;
	box-shadow: 0 0 0 1px #1e1e1e;
	border-radius: 1px;
	width: 24px;
	height: 24px;
	margin-right: 8px !important;
	margin-left: 0;
}

/* Soft Hyphen (&shy;) via html element */
span.softbreak::after {
	content: "\00AD";
}

.is-root-container span.softbreak {
	display: inline-block;
	width: 20px;
	background-color: lightcoral;
	text-align: center;
}

.is-root-container span.softbreak::after {
	content: "-";
	font-size: 35px;
}

/* loading spinner for react components */
@keyframes spinner {
	0% {
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(360deg);
	}
}

.loading-spinner {
	width: 50px;
	height: 50px;
	margin: 60px auto;
	border: 10px solid #d6d6d6;
	border-top: 10px solid #b8166d;
	border-radius: 50%;
	animation: spinner 1.5s linear infinite;
}

@media only screen and (max-width: 1600px) {
	:root {
		--page-margin: 60px;
	}
}

@media only screen and (max-width: 1200px) {
	:root {
		--page-margin: 22px;
	}

	html body h1 {
		font-size: 32px;
		line-height: 36px;
	}

	html body h2 {
		font-size: 28px;
		line-height: 34px;
	}

	html body h3 {
		font-size: 24px;
		line-height: 28px;
		margin-bottom: 8px;
	}

	html body h4 {
		font-size: 20px !important;
		line-height: 26px;
	}

	html body section .headline-sub {
		font-size: 20px;
		line-height: 24px;
	}

	html body main p,
	html body div.body-text,
	html body section.body-text,
	html body section .body-text {
		font-size: 16px;
		line-height: 26px;
	}

	html body .body-text-small {
		font-size: 14px;
	}

	html body main ul {
		font-size: 16px;
		line-height: 26px;
	}

	html body section .link-button {
		padding: 12px 20px;
		font-size: 16px;
		line-height: 20px;
	}

	html body section .link-arrow {
		font-size: 16px;
		line-height: 20px;
	}

	.mobileHide {
		display: none;
	}

	.mobileShow {
		display: initial !important;
	}

	[data-component] {
		margin-bottom: 50px;
	}

	.breadcrumbs ol {
		margin-top: 16px;
		margin-bottom: 36px;
	}

	.breadcrumbs ol li {
		padding: 5px 8px;
		margin-right: 5px;
	}
}

/* Form Styles */

.ur-frontend-form,
.ur-button-container {
	padding: 0px !important;
}

.ur-frontend-form input {
	box-sizing: border-box !important;
	padding: 0px 15px !important;
	cursor: auto !important;
	font-family: var(--font-family-inter-regular) !important;
	font-size: 18px !important;
	line-height: 24px !important;
	float: unset !important;
}

.ur-frontend-form {
	font-family: var(--font-family-inter-bold);
	color: #515352;
	width: 45%;
}
.main .user-registration .user-registration-error {
	width: 45%;
	display: flex;
	align-items: center;
}

.ur-frontend-form input,
.rw-form input {
	all: unset;
	background-color: var(--color-white);
	border: solid 1px #ebebeb;
	margin: 0px;
	font-family: "inter-regular";
	min-height: 45px !important;
	box-sizing: border-box;
	margin-bottom: 0 !important;
}

.ur-frontend-form input:focus,
.rw-form input:focus {
	border: solid 1px var(--color-magenta);
}

.ur-frontend-form .ur-button-container .ur-submit-button,
.rw-form input[type="submit"],
.rw-popup button {
	border: 2px solid var(--color-black);
	background-color: var(--color-black);
	color: var(--color-white);
	transition: none !important;
	font-family: "inter-semibold";
	margin-left: 10px !important;
	margin-bottom: 30px;
}

.ur-frontend-form .ur-button-container .ur-submit-button:hover,
.rw-form input[type="submit"]:hover,
.rw-popup button:hover {
	background-color: var(--color-white);
	color: var(--color-black);
}

@media only screen and (max-width: 850px) {
	.ur-frontend-form {
		width: unset;
	}
	.main .user-registration .user-registration-error {
		width: unset;
	}
}
@media only screen and (max-width: 600px) {
	.ur-frontend-form .ur-button-container .ur-submit-button,
	.rw-form input[type="submit"],
	.rw-popup button {
		margin-left: 0px !important;
	}
}


/** User registration info and error message styles */
.user-registration-message {
    display: block;
    margin: 0 0 10px;
    padding: 10px 15px;
    background-color: #f0f1f9;
    color: #4c5477;
    border-top: 3px solid #475bb2;
    list-style: none outside;
    width: auto;
    word-wrap: break-word;
    line-height: 1.25;
    text-transform: none;
}
.user-registration-success {
    border-top-color: #8fae1b;
    background: rgba(143,174,27,.1);
    color: #596c11
}
.user-registration-error {
    border-top-color: #ff4f55;
    background: rgba(255,79,85,.1);
    color: #ff030b
}